Subject: Re: [PATCH] gitweb: move highlight config out of guess_file_syntax()

From: "Alejandro R. Sedeño" <[email-masked]>
Date: Mon, 26 Jul 2010 16:56:02 -0400

On 7/26/2010 4:48 PM, Jakub Narebski wrote:
>> As of 1.7.2, with syntax highlighting merged and refactored (592ea41),
>> > access to the hashes that define syntax highlighting mappings was lost.
>> > Moving the hashes out into the config area lets $GITWEB_CONFIG contain
>> > lines like:
>> > 
>> >   $highlight_ext{'lisp'} = 'lisp';
>> >   $highlight_basename{'GNUmakefile'} = 'mak';
> O.K., I don't think we want to put all possible languages that 'highlight'
> supports in %highlight_ext, so you might want to add support for less
> common languages, or languages introduced in newer versions of tool.
> 
> 
> Note that you can write here
> 
>     $highlight_basename{'GNUmakefile'} = 'make';
> 
> which might be slightly more readable.

Yeah, that was a typo on my part; I was recalling samples from memory.
The actual entry reads 'make' not 'mak', just as you suggest. :)

-Alejandro